jv.anim

## Class PsKey

- java.lang.Object
- - jv.object.PsObject
  - - jv.anim.PsKey

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PsKey
      extends PsObject

  Single frame in a keyframe animation representing a pair (geometry, time). Instances of this class are used by `PsKeyframe` as container for each keyframe.
  See Also:
    `PsKeyframe`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    22.06.99, 1.00 revised (kp)
    22.06.99, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsKey(double time, PgGeometry geom)` Create a new key at specified time and geom.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgGeometry` | `getObject()` Get geometry of keyframe.
    `double` | `getTime()` Get time of keyframe.
    `void` | `init()` Do nothing but call super.init().
    `void` | `setObject(PgGeometry geom)` Set geometry of keyframe.
    `void` | `setTime(double time)` Set time of keyframe.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PsKey

          public PsKey(double time,
                       PgGeometry geom)

      Create a new key at specified time and geom.
      Parameters:
        `time` - time of keyframe
        `geom` - geometry of keyframe at time

  - ### Method Detail

    - #### init

          public void init()

      Do nothing but call super.init().
      Overrides:
        `init` in class `PsObject`

    - #### getTime

          public double getTime()

      Get time of keyframe.

    - #### setTime

          public void setTime(double time)

      Set time of keyframe.

    - #### getObject

          public PgGeometry getObject()

      Get geometry of keyframe.

    - #### setObject

          public void setObject(PgGeometry geom)

      Set geometry of keyframe.

"

The software JavaView? is copyright protected. All Rights Reserved.
"